      SUBROUTINE PRPX(NY,AY,nwr)
      INCLUDE 'chm.h'
      CHARACTER *8 AY(NY)
      write(nwr,100)
 100  FORMAT(/20X,'NPR'/)
      DO 80 J=1,NY
         IF(LPR(J).GE.KPR(J))GOTO90
         write(nwr,88)AY(J)
         GOTO80
  90     write(nwr,89)AY(J),(NPR(I),I=KPR(J),LPR(J))
  80     CONTINUE
      write(nwr,101)
 101  FORMAT(/20X,'NPS'/)
      DO 81 J=1,NY
         IF(LPS(J).GE.KPS(J))GOTO91
         write(nwr,88)AY(J)
         GOTO81
  91     write(nwr,89)AY(J),(NPS(I),I=KPS(J),LPS(J))
  81     CONTINUE
      write(nwr,102)
 102  FORMAT(/20X,'NDR'/)
      DO 82 J=1,NY
         IF(LDR(J).GE.KDR(J))GOTO92
         write(nwr,88)AY(J)
         GOTO82
  92     write(nwr,89)AY(J),(NDR(I),I=KDR(J),LDR(J))
  82     CONTINUE
      write(nwr,103)
 103  FORMAT(/20X,'NDS'/)
      DO 83 J=1,NY
         IF(LDS(J).GE.KDS(J))GOTO93
         write(nwr,88)AY(J)
         GOTO83
  93     write(nwr,89)AY(J),(NDS(I),I=KDS(J),LDS(J))
  83     CONTINUE
      write(nwr,104)
 104  FORMAT(/20X,'NPNR'/)
      DO 84 J=1,NY
         IF(LPNR(J).GE.KPNR(J))GOTO94
         write(nwr,88)AY(J)
         GOTO84
  94     write(nwr,89)AY(J),(NPNR(I),I=KPNR(J),LPNR(J))
  84     CONTINUE
      write(nwr,105)
 105  FORMAT(/20X,'NDNR'/)
      DO 85 J=1,NY
         IF(LDNR(J).GE.KDNR(J))GOTO95
         write(nwr,88)AY(J)
         GOTO85
  95     write(nwr,89)AY(J),(NDNR(I),I=KDNR(J),LDNR(J))
  85     CONTINUE
      write(nwr,106)
 106  FORMAT(/20X,'NDW'/)
      DO 86 J=1,NY
         IF(LW(J).GE.KDW(J))GOTO96
         write(nwr,88)AY(J)
         GOTO86
  96     write(nwr,89)AY(J),(NDW(I),I=KDW(J),LW(J))
  86     CONTINUE
  88  FORMAT(2X,A8,2X)
  89  FORMAT(2X,A8,2X,15I4/5(12X,15I4/))
      RETURN
      END


